EGALAX(4)

NAME
egalax - eGalax touch screen input driver

SYNOPSIS
Section "InputDevice"
  Identifier "idevname"
  Driver "egalax"
  Option "Device"   "devpath"
  ...
EndSection

DESCRIPTION
egalax is an XLibre input driver for eGalax touchscreen devices...

The egalax driver functions as a pointer input device, and may be used as the X server's core pointer.

It is obvious that a touch panel with a stylus/finger is a one-button mouse. However, the egalax tries to overcome this limitation. If a user keeps stylus in one point for a certain time, then driver emulates release of left mouse button and then pressure on the right mouse button. The area where the stylus should be kept and time are configurable.

SUPPORTED HARDWARE
The driver has been written for CarTFT CTF1020-S on screen touch panel, and is supposed to work with other similar touch panels based on eGalax.

The egalax driver requires the uep(4) kernel driver.

CONFIGURATION DETAILS
The following driver Options are supported:

Option "Device" "string"
    Usually "/dev/uep0" .

Option "MinX" "integer"

Option "MaxX" "integer"

Option "MinY" "integer"

Option "MaxY" "integer"
    These values configure calibration of the touch panel.

    The touchscreen resolution is 2048 points in both directions. However, the onscreen part of the panel is usually smaller. So, the panel needs to be calibrated. Initial values for calibration are quite conservative, and the driver autocalibrates itself when user touches areas near edge of screen. After each autocalibration the driver writes suggested calibration values to the Xorg log. These values should be written to the Xorg configuration file, to avoid bad calibration on next run.

Option "ReverseY" "boolean"
    Invert the Y axis. Default: off.

Option "SwapAxes" "boolean"
    Some eGalax touch screen units are assembled incorrectly and have X and Y axes swapped. This configuration knob allows to swap them back. Default: off.

Option "RightClickEmulArea" "integer"
    Size of the area where a stylus should be held still, before the driver emulates right button click. The default is 5 pixels.

Option "RightClickEmulPause" "integer"
    Time the driver waits befor emulating right button pressure. The default is 1 second.

SEE ALSO
Xorg(1), xorg.conf(5), xorgconfig(1), Xserver(1), X(7).

AUTHORS
The driver has been written by Gleb Smirnoff